
# ai-git-commit
> click, prompt-toolkit

<div align="center">
<h1>AI Git Commit</h1>
<p>Generate Git commit messages automatically with AI</p>
<p>Built with <a href="https://github.com/coderj001/python-cli-tool" target="_blank">coderj001/python-cli-tool</a></p>
<br>
<a href="https://github.com/coderj001/ai-git-commit/blob/main/LICENSE"><img alt="GitHub license" src="https://img.shields.io/github/license/coderj001/ai-git-commit?style=for-the-badge"></a>
<a href="https://github.com/coderj001/ai-git-commit/issues"><img alt="GitHub issues" src="https://img.shields.io/github/issues/coderj001/ai-git-commit?style=for-the-badge"></a>
<a href="https://github.com/coderj001/ai-git-commit/network"><img alt="GitHub forks" src="https://img.shields.io/github/forks/coderj001/ai-git-commit?style=for-the-badge"></a>
<a href="https://github.com/coderj001/ai-git-commit/stargazers"><img alt="GitHub stars" src="https://img.shields.io/github/stars/coderj001/ai-git-commit?style=for-the-badge"></a>
<br>
<br>
<img alt="Python" src="https://img.shields.io/badge/python-3670A0?style=for-the-badge&amp;logo=python&amp;logoColor=ffdd54">
<img alt="PyPI downloads" src="https://img.shields.io/pypi/dm/ai-git-commit?style=for-the-badge">

</div>


## 📦 Installation

Install ai-git-commit with pip or pipx

```bash
  pip install ai-git-commit
```
or
```bash
  pipx install ai-git-commit
```
## 🚀 Usage

When you're ready to commit. To run the CLI in your terminal:

```bash
ai-git-commit
```
Suggest using alias, `alias commit=ai-git-commit` add it to `.bashrc` or `.zshrc`.

## 😮 Demo

[![asciicast](https://asciinema.org/a/568236.svg)](https://asciinema.org/a/568236)

## Todo

1. Add support for OpenAI to generate more accurate and relevant commit messages.
2. Add support for commit message customization 
3. Implement Git hooks to automate the commit process even further.
4. Add the ability to select from multiple AI models to generate commit messages.
4. Improve the user interface with more features and options.

![Visitors](https://img.shields.io/badge/dynamic/json?color=green&label=Visitors&query=value&url=https://api.countapi.xyz/hit/coderj001/ai-git-commit)
